# smclt: Samsung Magican Command Line Tool
#
# version: 1.0.1
# shows Samsung S.M.A.R.T. information human readable
# supported SSDs: Samsung SATA, mSATA and M.2 SATA SSDs
#
# based on samsung_ssd_get_lifetime_writes.bash by j. d .g. leaver
# blog: http://www.jdgleaver.co.uk/blog/2014/05/23/samsung_ssds_reading_total_bytes_written_under_linux.html
# source code: http://www.jdgleaver.co.uk/blog/files/samsung_ssd_get_lifetime_writes.bash
# modifed by Fred Bogus Trumper 2023
# Copyright (c) 2023 Fred Bogus Trumper
#
# license: GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007
# license text: https://www.gnu.org/licenses/gpl-3.0.txt
# support forum: https://www.newnigma2.to
#
# release date: 2023-02-26
# release notes:
#       - replaced bc by awk in code for DreamOS (bc does not round correctly either)
#       - added samsung sata ssd database
#         supported devices (database): Samsung 840, 750, 850, 860, 870 series
#       - show the value of MTBF and TBW of the device
#       - show firmware version
#       - show temperature
#       - device list
#       - find Samsung SSD device
#       - select different devices
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
alias smclt="/usr/lib/enigma2/python/Plugins/SystemPlugins/SamsungMagican/script/smclt.sh"

