from Plugins.Plugin import PluginDescriptor
from Screens.Console import Console
from enigma import getDesktop, gFont

cmd = "/usr/lib/enigma2/python/Plugins/SystemPlugins/SamsungMagican/script/smclt.sh -e2"

def main(session, **kwargs):
    session.open(SamsungMagicanConsole,_("Samsung Magican (v1-r1.1.1)"),[cmd])

def addtosystem(menuid, **kwargs):
    if menuid == "information":
        return [(_("Samsung Magican"), main, "Samsung Magican", None)]
    else:
        return []

def Plugins(**kwargs):
#    return [PluginDescriptor(name = "Samsung Magican", description = "show human readable SATA SSD S.M.A.R.T. info (must be selected as default storage device)", where = PluginDescriptor.WHERE_MENU, needsRestart = False, fnc = addtosystem)]
    return [PluginDescriptor(name = "Samsung Magican",
        description = "show human readable SATA SSD S.M.A.R.T. information (must be selected as default storage device)",
        where = PluginDescriptor.WHERE_MENU,
        needsRestart = False,
        fnc = addtosystem)]



sz_w = getDesktop(0).size().width()

class SamsungMagicanConsole(Console):

    if sz_w == 1280: # HD
        #size="650,500"
        skin = """
            <screen name="SamsungMagicanConsole" position="center,120" size="450,520" title="Command execution...">
                <widget name="text" position="10,20" size="430,480" font="Console;16"/>
            </screen>"""
    elif sz_w == 1920: # FHD
        skin = """
            <screen name="SamsungMagicanConsole" position="center,190" size="610,780" title="Command execution...">
                <widget name="text" position="10,10" size="600,770" font="Console;24"/>
            </screen>"""
    else: # WQHD
        skin = """
            <screen name="SamsungMagicanConsole" position="center,240" size="1640,1040" title="Command execution...">
                <widget name="text" position="20,40" size="1600,960" font="Console;32"/>
            </screen>"""

    def __init__(self, session, title = "Console", cmdlist = None, finishedCallback = None, closeOnSuccess = False):
        Console.__init__(self, session, title=title, cmdlist=cmdlist, finishedCallback=finishedCallback, closeOnSuccess=closeOnSuccess)

